# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'ui/mainwindowdlg.ui'
#
# Created: Tue Jun 24 20:30:43 2008
#      by: PyQt4 UI code generator 4.4
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

class Ui_MainWindowDlg(object):
    def setupUi(self, MainWindowDlg):
        MainWindowDlg.setObjectName("MainWindowDlg")
        MainWindowDlg.resize(QtCore.QSize(QtCore.QRect(0,0,944,534).size()).expandedTo(MainWindowDlg.minimumSizeHint()))
        self.centralwidget = QtGui.QWidget(MainWindowDlg)
        self.centralwidget.setGeometry(QtCore.QRect(0,38,944,473))
        self.centralwidget.setObjectName("centralwidget")
        self.gridlayout = QtGui.QGridLayout(self.centralwidget)
        self.gridlayout.setObjectName("gridlayout")
        self.BuddyWidget = QtGui.QDockWidget(self.centralwidget)
        self.BuddyWidget.setAcceptDrops(True)
        self.BuddyWidget.setFloating(True)
        self.BuddyWidget.setFeatures(QtGui.QDockWidget.AllDockWidgetFeatures)
        self.BuddyWidget.setObjectName("BuddyWidget")
        self.dockWidgetContents = QtGui.QWidget(self.BuddyWidget)
        self.dockWidgetContents.setGeometry(QtCore.QRect(2,22,462,441))
        self.dockWidgetContents.setObjectName("dockWidgetContents")
        self.hboxlayout = QtGui.QHBoxLayout(self.dockWidgetContents)
        self.hboxlayout.setObjectName("hboxlayout")
        self.BuddyView = QtGui.QTreeView(self.dockWidgetContents)
        self.BuddyView.setObjectName("BuddyView")
        self.hboxlayout.addWidget(self.BuddyView)
        self.BuddyWidget.setWidget(self.dockWidgetContents)
        self.gridlayout.addWidget(self.BuddyWidget,0,0,1,1)
        self.ChatWidget = QtGui.QDockWidget(self.centralwidget)
        self.ChatWidget.setObjectName("ChatWidget")
        self.dockWidgetContents_2 = QtGui.QWidget(self.ChatWidget)
        self.dockWidgetContents_2.setGeometry(QtCore.QRect(2,22,462,441))
        self.dockWidgetContents_2.setObjectName("dockWidgetContents_2")
        self.gridlayout1 = QtGui.QGridLayout(self.dockWidgetContents_2)
        self.gridlayout1.setObjectName("gridlayout1")
        self.tabWidget = QtGui.QTabWidget(self.dockWidgetContents_2)
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtGui.QWidget()
        self.tab.setGeometry(QtCore.QRect(0,0,442,360))
        self.tab.setObjectName("tab")
        self.gridlayout2 = QtGui.QGridLayout(self.tab)
        self.gridlayout2.setObjectName("gridlayout2")
        self.ChatView = QtGui.QTextEdit(self.tab)
        self.ChatView.setObjectName("ChatView")
        self.gridlayout2.addWidget(self.ChatView,0,0,1,1)
        self.tabWidget.addTab(self.tab,"")
        self.tab_2 = QtGui.QWidget()
        self.tab_2.setGeometry(QtCore.QRect(0,0,442,360))
        self.tab_2.setObjectName("tab_2")
        self.tabWidget.addTab(self.tab_2,"")
        self.gridlayout1.addWidget(self.tabWidget,0,0,1,2)
        self.InputLine = QtGui.QLineEdit(self.dockWidgetContents_2)
        self.InputLine.setObjectName("InputLine")
        self.gridlayout1.addWidget(self.InputLine,1,0,1,1)
        self.SendButton = QtGui.QPushButton(self.dockWidgetContents_2)
        self.SendButton.setObjectName("SendButton")
        self.gridlayout1.addWidget(self.SendButton,1,1,1,1)
        self.ChatWidget.setWidget(self.dockWidgetContents_2)
        self.gridlayout.addWidget(self.ChatWidget,0,1,1,1)
        MainWindowDlg.setCentralWidget(self.centralwidget)
        self.menubar = QtGui.QMenuBar(MainWindowDlg)
        self.menubar.setGeometry(QtCore.QRect(0,0,944,26))
        self.menubar.setObjectName("menubar")
        self.menuFile = QtGui.QMenu(self.menubar)
        self.menuFile.setObjectName("menuFile")
        self.menuAccounts = QtGui.QMenu(self.menuFile)
        self.menuAccounts.setObjectName("menuAccounts")
        self.menuAbout = QtGui.QMenu(self.menubar)
        self.menuAbout.setObjectName("menuAbout")
        MainWindowDlg.setMenuBar(self.menubar)
        self.statusbar = QtGui.QStatusBar(MainWindowDlg)
        self.statusbar.setGeometry(QtCore.QRect(0,511,944,23))
        self.statusbar.setObjectName("statusbar")
        MainWindowDlg.setStatusBar(self.statusbar)
        self.toolBar = QtGui.QToolBar(MainWindowDlg)
        self.toolBar.setGeometry(QtCore.QRect(0,26,944,12))
        self.toolBar.setObjectName("toolBar")
        MainWindowDlg.addToolBar(QtCore.Qt.TopToolBarArea,self.toolBar)
        self.actionConnect2Core = QtGui.QAction(MainWindowDlg)
        self.actionConnect2Core.setObjectName("actionConnect2Core")
        self.actionDisconnect_From_Core = QtGui.QAction(MainWindowDlg)
        self.actionDisconnect_From_Core.setObjectName("actionDisconnect_From_Core")
        self.actionExit = QtGui.QAction(MainWindowDlg)
        self.actionExit.setObjectName("actionExit")
        self.actionAbout_dPIM = QtGui.QAction(MainWindowDlg)
        self.actionAbout_dPIM.setObjectName("actionAbout_dPIM")
        self.actionAbout_Qt = QtGui.QAction(MainWindowDlg)
        self.actionAbout_Qt.setObjectName("actionAbout_Qt")
        self.actionJabber = QtGui.QAction(MainWindowDlg)
        self.actionJabber.setObjectName("actionJabber")
        self.menuAccounts.addAction(self.actionJabber)
        self.menuFile.addAction(self.actionConnect2Core)
        self.menuFile.addAction(self.actionDisconnect_From_Core)
        self.menuFile.addAction(self.menuAccounts.menuAction())
        self.menuFile.addAction(self.actionExit)
        self.menuAbout.addAction(self.actionAbout_dPIM)
        self.menuAbout.addAction(self.actionAbout_Qt)
        self.menubar.addAction(self.menuFile.menuAction())
        self.menubar.addAction(self.menuAbout.menuAction())

        self.retranslateUi(MainWindowDlg)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QObject.connect(self.InputLine,QtCore.SIGNAL("returnPressed()"),self.SendButton.click)
        QtCore.QObject.connect(self.actionJabber,QtCore.SIGNAL("activated()"),MainWindowDlg.connectJabber)
        QtCore.QMetaObject.connectSlotsByName(MainWindowDlg)

    def retranslateUi(self, MainWindowDlg):
        MainWindowDlg.setWindowTitle(QtGui.QApplication.translate("MainWindowDlg", "MainWindow", None, QtGui.QApplication.UnicodeUTF8))
        self.BuddyWidget.setWindowTitle(QtGui.QApplication.translate("MainWindowDlg", "Buddy List", None, QtGui.QApplication.UnicodeUTF8))
        self.ChatWidget.setWindowTitle(QtGui.QApplication.translate("MainWindowDlg", "Chat", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), QtGui.QApplication.translate("MainWindowDlg", "Tab 1", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), QtGui.QApplication.translate("MainWindowDlg", "Tab 2", None, QtGui.QApplication.UnicodeUTF8))
        self.SendButton.setText(QtGui.QApplication.translate("MainWindowDlg", "Send", None, QtGui.QApplication.UnicodeUTF8))
        self.menuFile.setTitle(QtGui.QApplication.translate("MainWindowDlg", "File", None, QtGui.QApplication.UnicodeUTF8))
        self.menuAccounts.setTitle(QtGui.QApplication.translate("MainWindowDlg", "Accounts", None, QtGui.QApplication.UnicodeUTF8))
        self.menuAbout.setTitle(QtGui.QApplication.translate("MainWindowDlg", "About", None, QtGui.QApplication.UnicodeUTF8))
        self.toolBar.setWindowTitle(QtGui.QApplication.translate("MainWindowDlg", "toolBar", None, QtGui.QApplication.UnicodeUTF8))
        self.actionConnect2Core.setText(QtGui.QApplication.translate("MainWindowDlg", "Connect2Core", None, QtGui.QApplication.UnicodeUTF8))
        self.actionDisconnect_From_Core.setText(QtGui.QApplication.translate("MainWindowDlg", "Disconnect From Core", None, QtGui.QApplication.UnicodeUTF8))
        self.actionExit.setText(QtGui.QApplication.translate("MainWindowDlg", "Exit", None, QtGui.QApplication.UnicodeUTF8))
        self.actionAbout_dPIM.setText(QtGui.QApplication.translate("MainWindowDlg", "About dPIM", None, QtGui.QApplication.UnicodeUTF8))
        self.actionAbout_Qt.setText(QtGui.QApplication.translate("MainWindowDlg", "About Qt", None, QtGui.QApplication.UnicodeUTF8))
        self.actionJabber.setText(QtGui.QApplication.translate("MainWindowDlg", "Jabber", None, QtGui.QApplication.UnicodeUTF8))

